<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetHotelPNRResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetHotelPNRResponse extends AbstractStructBase
{
    /**
     * The OTA_HotelResRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_HotelResRS
     */
    public $OTA_HotelResRS;
    /**
     * Constructor method for GetHotelPNRResponse
     * @uses DgGetHotelPNRResponse::setOTA_HotelResRS()
     * @param \dgsoft\StructType\DgOTA_HotelResRS $oTA_HotelResRS
     */
    public function __construct(\dgsoft\StructType\DgOTA_HotelResRS $oTA_HotelResRS = null)
    {
        $this
            ->setOTA_HotelResRS($oTA_HotelResRS);
    }
    /**
     * Get OTA_HotelResRS value
     * @return \dgsoft\StructType\DgOTA_HotelResRS|null
     */
    public function getOTA_HotelResRS()
    {
        return $this->OTA_HotelResRS;
    }
    /**
     * Set OTA_HotelResRS value
     * @param \dgsoft\StructType\DgOTA_HotelResRS $oTA_HotelResRS
     * @return \dgsoft\StructType\DgGetHotelPNRResponse
     */
    public function setOTA_HotelResRS(\dgsoft\StructType\DgOTA_HotelResRS $oTA_HotelResRS = null)
    {
        $this->OTA_HotelResRS = $oTA_HotelResRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetHotelPNRResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
